diff -u emacs22-22.3+1/debian/changelog emacs22-22.3+1/debian/changelog
--- emacs22-22.3+1/debian/changelog
+++ emacs22-22.3+1/debian/changelog
@@ -1,3 +1,13 @@
+emacs22 (22.3+1-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Update packages to depend on install-info as emacs can be used as
+    info-browser. Closes: #532600, #532599, #532597, #532602
+    Drop Provides: info-browser from the emacs meta-package, each real
+    package provides it already.
+
+ -- Raphael Hertzog <hertzog@debian.org>  Thu, 25 Jun 2009 23:50:41 +0200
+
 emacs22 (22.3+1-1) unstable; urgency=low
 
   * New upstream release. (closes: #512134)
diff -u emacs22-22.3+1/debian/control.in emacs22-22.3+1/debian/control.in
--- emacs22-22.3+1/debian/control.in
+++ emacs22-22.3+1/debian/control.in
@@ -11,7 +11,7 @@
 Priority: optional
 Architecture: all
 Depends: @DEB_FLAVOR@ | @DEB_FLAVOR@-gtk | @DEB_FLAVOR@-nox
-Provides: emacsen, editor, info-browser, mail-reader, news-reader
+Provides: emacsen, editor, mail-reader, news-reader
 Description: The GNU Emacs editor (metapackage)
  GNU Emacs is the extensible self-documenting text editor.
  This is a metapackage which will always depend on the latest Emacs
@@ -21,7 +21,7 @@
 Section: editors
 Priority: optional
 Architecture: any
-Depends: @DEB_FLAVOR@-bin-common (= ${binary:Version}), ${shlibs:Depends}
+Depends: @DEB_FLAVOR@-bin-common (= ${binary:Version}), install-info, ${shlibs:Depends}
 Provides: emacsen, editor, info-browser, mail-reader, news-reader
 Suggests: @DEB_FLAVOR@-common-non-dfsg
 Conflicts: @DEB_FLAVOR@-nox, @DEB_FLAVOR@-gtk, w3-el
@@ -33,7 +33,7 @@
 Section: editors
 Priority: optional
 Architecture: any
-Depends: @DEB_FLAVOR@-bin-common (= ${binary:Version}), ${shlibs:Depends}
+Depends: @DEB_FLAVOR@-bin-common (= ${binary:Version}), install-info, ${shlibs:Depends}
 Provides: @DEB_FLAVOR@, editor, emacsen, info-browser, mail-reader, news-reader
 Suggests: @DEB_FLAVOR@-common-non-dfsg
 Conflicts: @DEB_FLAVOR@, @DEB_FLAVOR@-gtk, w3-el
@@ -46,7 +46,7 @@
 Section: editors
 Priority: optional
 Architecture: any
-Depends: @DEB_FLAVOR@-bin-common (= ${binary:Version}), ${shlibs:Depends}
+Depends: @DEB_FLAVOR@-bin-common (= ${binary:Version}), install-info, ${shlibs:Depends}
 Provides: @DEB_FLAVOR@, editor, emacsen, info-browser, mail-reader, news-reader
 Suggests: @DEB_FLAVOR@-common-non-dfsg
 Conflicts: @DEB_FLAVOR@, @DEB_FLAVOR@-nox, w3-el
diff -u emacs22-22.3+1/debian/control emacs22-22.3+1/debian/control
--- emacs22-22.3+1/debian/control
+++ emacs22-22.3+1/debian/control
@@ -11,7 +11,7 @@
 Priority: optional
 Architecture: all
 Depends: emacs22 | emacs22-gtk | emacs22-nox
-Provides: emacsen, editor, info-browser, mail-reader, news-reader
+Provides: emacsen, editor, mail-reader, news-reader
 Description: The GNU Emacs editor (metapackage)
  GNU Emacs is the extensible self-documenting text editor.
  This is a metapackage which will always depend on the latest Emacs
@@ -21,7 +21,7 @@
 Section: editors
 Priority: optional
 Architecture: any
-Depends: emacs22-bin-common (= ${binary:Version}), ${shlibs:Depends}
+Depends: emacs22-bin-common (= ${binary:Version}), install-info, ${shlibs:Depends}
 Provides: emacsen, editor, info-browser, mail-reader, news-reader
 Suggests: emacs22-common-non-dfsg
 Conflicts: emacs22-nox, emacs22-gtk, w3-el
@@ -33,7 +33,7 @@
 Section: editors
 Priority: optional
 Architecture: any
-Depends: emacs22-bin-common (= ${binary:Version}), ${shlibs:Depends}
+Depends: emacs22-bin-common (= ${binary:Version}), install-info, ${shlibs:Depends}
 Provides: emacs22, editor, emacsen, info-browser, mail-reader, news-reader
 Suggests: emacs22-common-non-dfsg
 Conflicts: emacs22, emacs22-gtk, w3-el
@@ -46,7 +46,7 @@
 Section: editors
 Priority: optional
 Architecture: any
-Depends: emacs22-bin-common (= ${binary:Version}), ${shlibs:Depends}
+Depends: emacs22-bin-common (= ${binary:Version}), install-info, ${shlibs:Depends}
 Provides: emacs22, editor, emacsen, info-browser, mail-reader, news-reader
 Suggests: emacs22-common-non-dfsg
 Conflicts: emacs22, emacs22-nox, w3-el
diff -u emacs22-22.3+1/lisp/mh-e/mh-loaddefs.el emacs22-22.3+1/lisp/mh-e/mh-loaddefs.el
--- emacs22-22.3+1/lisp/mh-e/mh-loaddefs.el
+++ emacs22-22.3+1/lisp/mh-e/mh-loaddefs.el
@@ -3120,7 +3120,7 @@
 ;;;***
 
 ;;;### (autoloads nil nil ("mh-buffers.el" "mh-compat.el" "mh-e.el"
-;;;;;;  "mh-gnus.el" "mh-tool-bar.el") (18897 52254 788574))
+;;;;;;  "mh-gnus.el" "mh-tool-bar.el") (19011 62052 501006))
 
 ;;;***
 
